BAVViewMap
Keywords: uk.ac.bbk.dcs.automed.qproc.reformulate.BAVViewMap class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.reformulate
Class BAVViewMap

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.reformulate.CompositeViewMap
          uk.ac.bbk.dcs.automed.qproc.reformulate.BAVViewMap

    public class BAVViewMap

extends CompositeViewMap

Class containing BAV composite views between a single source schema and a single target schema. BAV views are constructed from ADD, EXTEND, DELETE, CONTRACT, RENAME and IDENTITY atomic views. The ADD and EXTEND atomic views need to be processed further before these could be used to form composite views. Currently we used Inverse Rules algorithm as described in the following paper:

             P.J. McBrien and A. Poulovassilis. P2P query reformulation over Both-as-View
             data transformation rules. In Proc of DBISP2P 2006.

Author:
  Lucas Zamboulis, Sandeep Mittal

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.reformulate.CompositeViewMap
`_instanceCache, _logger, _name, _qpc, _sourceSchema, _targetSchema, _viewMap`

Constructor Summary
`protected` | `BAVViewMap(Schema source, Schema target, QueryProcessorConfiguration qpc)` This constructor is called from CompositeViewMap class getInstance() method.

Method Summary
`protected void` | `buildViews()` Constructs the composite views

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.reformulate.CompositeViewMap
`buildViews, composeView, computeName, getFinalConstructs, getInstance, getName, getSourceSchema, getTargetSchema, getViewMap, populateViewMap, searchAndReplace, showInstanceCache, showViewMap, updateSchemaRef`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BAVViewMap

    protected BAVViewMap(Schema source,
                         Schema target,
                         QueryProcessorConfiguration qpc)
                  throws BuildViewException

  This constructor is called from CompositeViewMap class getInstance() method. Do not otherwise.

  Parameters:
    `source` - Source Schema
    `target` - Target Schema
    `qpc` - Query Processor configuration
  Throws:
    `BuildViewException`

Method Detail

### buildViews

    protected void buildViews()
                       throws BuildViewException

  Constructs the composite views

  Specified by:
    `buildViews` in class `CompositeViewMap`
  Throws:
    `BuildViewException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD